A parser for the ATF data format.

### Hierarchy

- AtfData

## Index

### Constructors

- constructor

### Properties

- data
- format
- height
- isCubeMap
- numTextures
- width

### Methods

- get_data
- get_format
- get_height
- get_isCubeMap
- get_numTextures
- get_width
- isAtfData

## Constructors

### constructor

- new AtfData(data: ByteArray): AtfData

- - Defined in lib/starling/textures/AtfData.d.ts:9

  Create a new instance by parsing the given byte array.

  #### Parameters

  - ##### data: ByteArray

  #### Returns AtfData

## Properties

### data

data: ByteArray

- Defined in lib/starling/textures/AtfData.d.ts:37

The actual byte data, including header.

### format

format: string

- Defined in lib/starling/textures/AtfData.d.ts:17

The texture format. @see flash.display3D.textures.Context3DTextureFormat

### height

height: number

- Defined in lib/starling/textures/AtfData.d.ts:25

The height of the texture in pixels.

### isCubeMap

isCubeMap: boolean

- Defined in lib/starling/textures/AtfData.d.ts:33

Indicates if the ATF data encodes a cube map. Not supported by Starling!

### numTextures

numTextures: number

- Defined in lib/starling/textures/AtfData.d.ts:29

The number of encoded textures. '1' means that there are no mip maps.

### width

width: number

- Defined in lib/starling/textures/AtfData.d.ts:21

The width of the texture in pixels.

## Methods

### Protected get_data

- get_data(): ByteArray

- - Defined in lib/starling/textures/AtfData.d.ts:38

  #### Returns ByteArray

### Protected get_format

- get_format(): string

- - Defined in lib/starling/textures/AtfData.d.ts:18

  #### Returns string

### Protected get_height

- get_height(): number

- - Defined in lib/starling/textures/AtfData.d.ts:26

  #### Returns number

### Protected get_isCubeMap

- get_isCubeMap(): boolean

- - Defined in lib/starling/textures/AtfData.d.ts:34

  #### Returns boolean

### Protected get_numTextures

- get_numTextures(): number

- - Defined in lib/starling/textures/AtfData.d.ts:30

  #### Returns number

### Protected get_width

- get_width(): number

- - Defined in lib/starling/textures/AtfData.d.ts:22

  #### Returns number

### Static isAtfData

- isAtfData(data: ByteArray): boolean

- - Defined in lib/starling/textures/AtfData.d.ts:14

  Checks the first 3 bytes of the data for the 'ATF' signature.

  #### Parameters

  - ##### data: ByteArray

  #### Returns boolean

Generated using TypeDoc